import { Answer, AnswerCreation } from './Answer.ts';
import {Category} from './Quiz.ts';

export interface Question {
    id: number;
    text: string;
    type: string;
    categoryId: number;
    quizId: string;
    order: number;
    answers: Answer[];
    category: Category;
}

export interface QuestionCreation {
    text: string;
    isMultipleChoice: boolean;
    answers: AnswerCreation[];
}
