import { Category, Difficulty } from './Quiz';
import { User } from './User.ts';

export interface QuizInformations {
    id: number;
    name: string;
    description: string;
    isCommunity: boolean;
    questionCount: number;
    categoryId: number;
    difficultyId: number;
    authorId?: User;
    createdAt: string;
    updatedAt: string;
    category: Category;
    difficulty: Difficulty;
}

export interface MultiplayerQuizInformations {
    questionCount: number;
    scores: number[];
    names: string[];
}
