import "./modalButton.css";
interface Props{
    text: string;
    onClick: () => void;
    isLeftButton: boolean;
    isDisabled: boolean;
}

export function ModalButton({ text , onClick, isLeftButton, isDisabled}: Props) {
    return (
        <button className={isLeftButton ? "modal-button-left" : "modal-button-right"} onClick={onClick} disabled={isDisabled}>
            <p className={isLeftButton ? "modal-button-left-text" : "modal-button-right-text"}>{text}</p>
        </button>
    );
}
